require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'

-- ===== BABY FOOD ITEMS =====

-- Baby food jars in kitchen areas
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarApple")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarBanana")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarPear")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarVeal")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarPeas")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarHamburger")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarCarrot")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_ClosedFoodJarSalmon")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 8)

table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarApple")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarBanana")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarPear")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarVeal")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarPeas")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarHamburger")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarCarrot")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Baby_ClosedFoodJarSalmon")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 5)

table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarApple")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarBanana")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarPear")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarVeal")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarPeas")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarHamburger")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarCarrot")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_ClosedFoodJarSalmon")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 6)

table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarApple")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarBanana")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarPear")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarVeal")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarPeas")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarHamburger")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarCarrot")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_ClosedFoodJarSalmon")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 7)

-- Baby formula in various food storage areas
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 6)

table.insert(ProceduralDistributions.list["KitchenDryFood"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["KitchenDryFood"].items, 5)

table.insert(ProceduralDistributions.list["BakeryKitchenBaking"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["BakeryKitchenBaking"].items, 4)

table.insert(ProceduralDistributions.list["BreakRoomCounter"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["BreakRoomCounter"].items, 3)

table.insert(ProceduralDistributions.list["BreakRoomShelves"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["BreakRoomShelves"].items, 3)

table.insert(ProceduralDistributions.list["CrateCannedFood"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["CrateCannedFood"].items, 5)

table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 6)

table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["GroceryStorageCrate1"].items, 5)

-- Baby food bowls in refrigerators
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlBlueberry")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 2)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlCarrot")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 2)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlStrawberry")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 2)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlBroccoli")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 2)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlMeat")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 1)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Baby_foodBowlFish")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 1)

-- ===== BABY FEEDING ITEMS =====

-- Biberons in kitchen areas
table.insert(ProceduralDistributions.list["KitchenRandom"].items, "Babies.Empty_Biberon")
table.insert(ProceduralDistributions.list["KitchenRandom"].items, 6)

table.insert(ProceduralDistributions.list["KitchenDishes"].items, "Babies.Empty_Biberon")
table.insert(ProceduralDistributions.list["KitchenDishes"].items, 4)

-- Filled biberons in refrigerators
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Biberon_milk")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 5)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Biberon_strawberry")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 4)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Biberon_blueberry")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 4)

table.insert(ProceduralDistributions.list["FridgeGeneric"].items, "Babies.Biberon_carrot")
table.insert(ProceduralDistributions.list["FridgeGeneric"].items, 4)

-- ===== DIAPERS =====

table.insert(ProceduralDistributions.list["BathroomShelf"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["BathroomShelf"].items, 8)

table.insert(ProceduralDistributions.list["BathroomCounter"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["BathroomCounter"].items, 6)

table.insert(ProceduralDistributions.list["WardrobeChild"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["WardrobeChild"].items, 10)

table.insert(ProceduralDistributions.list["BinGeneric"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["BinGeneric"].items, 30) -- Lower chance in trash


-- Baby toys
table.insert(ProceduralDistributions.list["WardrobeChild"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["WardrobeChild"].items, 3)

table.insert(ProceduralDistributions.list["CrateToys"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["CrateToys"].items, 4)

table.insert(ProceduralDistributions.list["DaycareCounter"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["DaycareCounter"].items, 5)

table.insert(ProceduralDistributions.list["DaycareDesk"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["DaycareDesk"].items, 5)

table.insert(ProceduralDistributions.list["DaycareShelves"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["DaycareShelves"].items, 6)

table.insert(ProceduralDistributions.list["Gifts"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["Gifts"].items, 4)

table.insert(ProceduralDistributions.list["GigamartToys"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["GigamartToys"].items, 5)

table.insert(ProceduralDistributions.list["Hobbies"].items, "Babies.bb_Monkey")
table.insert(ProceduralDistributions.list["Hobbies"].items, 3)

-- ===== BABY CARRIERS/BACKPACKS =====

table.insert(ProceduralDistributions.list["WardrobeChild"].items, "Babies.Baby_carrier_blue_floor")
table.insert(ProceduralDistributions.list["WardrobeChild"].items, 3)

table.insert(ProceduralDistributions.list["WardrobeChild"].items, "Babies.Baby_carrier_floor_bkp")
table.insert(ProceduralDistributions.list["WardrobeChild"].items, 3)

-- ===== SPECIAL DISTRIBUTIONS =====

-- Medical areas might have baby items
table.insert(ProceduralDistributions.list["MedicalStorageDrugs"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["MedicalStorageDrugs"].items, 2)

table.insert(ProceduralDistributions.list["MedicalStorageOutfit"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["MedicalStorageOutfit"].items, 4)

-- Grocery store shelves
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "Babies.Baby_formula")
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 5)

-- House random containers
table.insert(ProceduralDistributions.list["CrateRandomJunk"].items, "Babies.Empty_Biberon")
table.insert(ProceduralDistributions.list["CrateRandomJunk"].items, 2)

table.insert(ProceduralDistributions.list["CrateRandomJunk"].items, "Babies.Diaper")
table.insert(ProceduralDistributions.list["CrateRandomJunk"].items, 3)
